Return all available shipping options for the specified cart
curl --request POST \
--url https://{globale_api_domain}/Browsing/ShippingOptionsimport requests
url = "https://{globale_api_domain}/Browsing/ShippingOptions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/ShippingOptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Browsing/ShippingOptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Browsing/ShippingOptions"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Browsing/ShippingOptions")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Browsing/ShippingOptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"CheckoutShippingOption": [
{
"DeliveryDaysFrom": 123,
"DeliveryDaysTo": 123,
"ForceDDP": 0,
"Price": 123,
"PriceBeforeDiscount": 123,
"ShippingMethodId": "<string>",
"ShippingMethodTypeName": "<string>",
"SupportsDDP": true
}
]
}Shipping Options (Merchant to Global-e)
Returns all available shipping options for a cart, specified by cartToken or by full checkoutCartInfo details.
POST
/
Browsing
/
ShippingOptions
Return all available shipping options for the specified cart
curl --request POST \
--url https://{globale_api_domain}/Browsing/ShippingOptionsimport requests
url = "https://{globale_api_domain}/Browsing/ShippingOptions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/ShippingOptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Browsing/ShippingOptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Browsing/ShippingOptions"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Browsing/ShippingOptions")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Browsing/ShippingOptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"CheckoutShippingOption": [
{
"DeliveryDaysFrom": 123,
"DeliveryDaysTo": 123,
"ForceDDP": 0,
"Price": 123,
"PriceBeforeDiscount": 123,
"ShippingMethodId": "<string>",
"ShippingMethodTypeName": "<string>",
"SupportsDDP": true
}
]
}Make sure your integration follows the latest authentication and IP whitelisting guidelines.
cartToken or by including all the relevant checkoutCartInfo details.Query Parameters
Merchants who implement API checkout only, may specify the Cart token returned by the SendCart method preceding the current method call. In this case, all other arguments will be ignored and the information stored in the respective Cart will be used instead. Either cartToken or checkoutCartInfo must be specified.

